Bug 846916 - [e42faa7488b41513750ad37837ac52a68f639775]: taking statedump results in deadlock
[e42faa7488b41513750ad37837ac52a68f639775]: taking statedump results in deadlock
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: write-behind (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 02:20 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:26:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-08-09 02:20:33 EDT
Description of problem:

fsync fop fails with EBADFD error. Running iozone or simply an application which does fsync on a fd will get EBADFD. Also attempt to debug it by taking statedump results in a deadlock and the glusterfs process hangs.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Raghavendra Bhat 2012-08-09 03:04:16 EDT
Also log files complain about write-behind not implementing the forget.


[2012-08-09 06:51:56.332677] W [defaults.c:1260:default_forget] (-->/usr/local/lib/libglusterfs.so.0(inode_unref+0x6
1) [0x7f3d45b7bc3d] (-->/usr/local/lib/libglusterfs.so.0(+0x336d4) [0x7f3d45b7d6d4] (-->/usr/local/lib/libglusterfs.
so.0(+0x31830) [0x7f3d45b7b830]))) 0-mirror-write-behind: xlator does not implement forget_cbk
Comment 2 Vijay Bellur 2012-08-20 02:55:02 EDT
CHANGE: http://review.gluster.org/3795 (performance/write-behind: avoid deadlock while taking the statedump of fds) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.